{smcl}
{* *! version 1.01  24 oct 2015}{...}
{viewerjumpto "Syntax" "getisord##syntax"}{...}
{viewerjumpto "Description" "getisord##description"}{...}
{viewerjumpto "Outcome" "getisord##outcome"}{...}
{viewerjumpto "Options" "getisord##options"}{...}
{viewerjumpto "Remarks" "getisord##remarks"}{...}
{viewerjumpto "Examples" "getisord##examples"}{...}
{viewerjumpto "Author" "getisord##author"}{...}
{viewerjumpto "References" "getisord##references"}{...}
{title:Title}

{p2colset 5 20 22 2}{...}
{p2col :{bf:getisord} {hline 2}}Getis-Ord G*i(d) Statistic{p_end}
{p2colreset}{...}

{marker syntax}{...}
{title:Syntax}
{p 8 17 2}
{cmdab:getisord} {varname} {ifin}, {cmd:lon({varname})} {cmd:lat({varname})} {opt swm(swmtype)} {opt dist(#)}
[{opt dms}] [{opt app:rox}] [{opt cons:tant(#)}] [{opt d:etail}]

{synoptset 15 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Required Settings for Spatial Weight Matrix}
{synopt:{opt lon(varname)}} specifies the variable of latitude.
{p_end}
{synopt:{opt lat(varname)}} specifies the variable of longitude.
{p_end}
{synopt:{opt swm(swmtype)}} specifies a type of the spatial weight matrix.
{p_end}
{synopt:{opt dist(#)}} specifies the threshold distance for the spatial weight matrix.
{p_end}
{syntab:Optional Settings for Spatial Weight Matrix}
{synopt:{opt dms}} converts the DMS format to a decimal format.
{p_end}
{synopt:{opt app:rox}} uses bilateral distance approximated by the simplified version of the Vincenty formula.
{p_end}
{synopt:{opt cons:tant(#)}} specifies a constant term added to bilateral distance when {cmd:swm(pow {it:#})} is chosen.
{p_end}
{synopt:{opt d:etail}} displays summary statistics of bilateral distance.
{p_end}
{synoptline}
{p2colreset}{...}
{p 4 6 2}

{marker description}{...}
{title:Description}

{pstd}
{cmd: getisord} calculates the Getis-Ord {it:G*i}({it:d}) statistic. 
{p_end}

{marker outcome}{...}
{title:Outcome}

{pstd}
{cmd: getisord} generates two outcome variables in the dataset.
{p_end}

{phang}
{cmd:go_z_{it:varname}_{it:swmtype}} is the standardized Getis-Ord {it:G*i}({it:d}) statistic of {it:varname}, which is equivalent to the {it:z}-value of Getis-Ord {it:G*i}({it:d}). The {it:varname} is automatically inserted and the suffix {bf:b}, {bf:e}, or {bf:p} is also inserted in accordance with {it:swmtype}: {bf:b} for {cmd:swm(pow)}, {bf:e} for {cmd:swm(exp {it:#})}, and {bf:p} for {cmd:swm(pow {it:#})}. 
{p_end}

{phang}
{cmd:go_p_{it:varname}_{it:swmtype}} is the {it:p}-value of the standardized Getis-Ord {it:G*i}({it:d}) statistic of {it:varname}, which is automatically inserted, along with the suffix {bf:b}, {bf:e}, or {bf:p} is also inserted in accordance with {it:swmtype}: {bf:b} for {cmd:swm(pow)}, {bf:e} for {cmd:swm(exp {it:#})}, and {bf:p} for {cmd:swm(pow {it:#})}. 
{p_end}


{marker options}{...}
{title:Options}

{dlgtab:Required Settings}
{phang}
{opt lon(varname)} specifies the variable of latitude in the dataset. The decimal format is expected in the default setting. The positive value denotes the north latitude. The negative value denotes the south latitude.
{p_end}

{phang}
{opt lat(varname)} specifies the variable of longitude in the dataset. The decimal format is expected in the default setting. The positive value denotes the east longitude. The negative value denotes the west longitude.
{p_end}

{phang}
{opt swm(swmtype)} specifies a type of the spatial weight matrix. One of the following three types of spatial weight matrix must be specified: {opt bin} (binary), {opt exp} (exponential), or {opt pow} (power).  The distance decay parameter {it:#} must be specified for the exponential and power functional types of spatial weight matrix as follows: {cmd:swm(exp {it:#})} and {cmd:swm(pow {it:#})}.
{p_end}

{phang}
{opt dist(#)} specifies the threshold distance for the spatial weight matrix.
{p_end}

{dlgtab:Optional Settings}
{phang}
{opt dms} converts the DMS (Degrees, Minutes, Seconds) format to a decimal format. The default setting is the decimal format.
{p_end}

{phang}
{opt app:rox} uses bilateral distance approximated by the simplified version of the Vincenty formula. The {opt app:rox} option is not used in the default setting.
{p_end}

{phang}
{opt cons:tant(#)} specifies a constant term added to bilateral distance when {cmd:swm(pow {it:#})} is chosen to avoid the denominator of the spatial weight matrix taking a value of 0. 
{p_end}

{phang}
{opt d:etail} displays displays summary statistics of bilateral distance. The {opt d:etail} option is not used in the default setting.
{p_end}

{marker examples}{...}
{title:Examples}

{phang}Case 1: Binary spatial weight matrix{p_end}

{phang2}{cmd:. getisord} MFIL59, lat(y_cntrd) lon(x_cntrd) swm(bin) dist(80){p_end}

{phang}Case 2: Non-binary spatial weight matrix by exponential function{p_end}

{phang2}{cmd:. getisord} MFIL59, lat(y_cntrd) lon(x_cntrd) swm(exp 0.03) dist(80){p_end}

{phang}Case 3: Non-binary spatial weight matrix by power function{p_end}

{phang2}{cmd:. getisord} MFIL59, lat(y_cntrd) lon(x_cntrd) swm(pow 1) dist(80){p_end}

{pstd}Results can be displayed in a map using the {cmd:shp2dta} and {cmd:spmap} commands. See Kondo (2015) for more details.{p_end}

{marker author}{...}
{title:Author}

{pstd}Keisuke Kondo{p_end}
{pstd}Research Institute of Economy, Trade and Industry (RIETI). Tokyo, Japan.{p_end}
{pstd}(URL: https://sites.google.com/site/keisukekondokk/){p_end}

{marker references}{...}
{title:References}

{marker G2015}{...}
{phang}
Crow, K. (2015) "SHP2DTA: Stata module to converts shape boundary files to Stata datasets,"
https://ideas.repec.org/c/boc/bocode/s456718.html.
{p_end}

{marker GO1992}{...}
{phang}
Getis, A., and J. K. Ord. (1992) "The analysis of spatial association by use of distance statistics," {it:Geographical Analysis} 24(3), pp. 189-206.
{p_end}

{marker K2015}{...}
{phang}
Kondo, K. (2015) "Hot and cold spot analysis using Stata,"
 mimeo.
{p_end}

{marker OG1995}{...}
{phang}
Ord, J. K., and A. Getis. (1995) "Local spatial autocorrelation statistics: distributional issues and an application," {it:Geographical Analysis} 27(4), pp. 286-306.
{p_end}

{marker P2008}{...}
{phang}
Pisati, M. (2008) "SPMAP: Stata module to visualize spatial data,"
https://ideas.repec.org/c/boc/bocode/s456812.html.
{p_end}

{marker V1975}{...}
{phang}
Vincenty, T. (1975) "Direct and inverse solutions of geodesics on the ellipsoid with application of nested equations," {it:Survey Review} 23(176), pp. 88-93.
{p_end}
